package com.ruoyi.project.project.item.mapper;

import com.ruoyi.project.project.item.domain.Item;

import java.util.List;

/**
 * 物品 数据层
 * 
 * @author luoluo
 */
public interface ItemMapper
{
    /**
     * 查询物品信息
     * 
     * @param itemNo 物品编号
     * @return 物品信息
     */
    public Item selectItemById(String itemNo);

    /**
     * 查询物品列表
     * 
     * @param item 物品信息
     * @return 物品集合
     */
     
    public List<Item> selectItemList(Item item);

    /**
     * 新增物品
     * 
     * @param item 物品信息
     * @return 结果
     */
    public int insertItem(Item item);

    /**
     * 修改物品
     * 
     * @param item 物品信息
     * @return 结果
     */
    public int updateItem(Item item);

    /**
     * 批量删除物品
     * 
     * @param itemNos 需要删除的数据ID
     * @return 结果
     */
    public int deleteItemByIds(String[] itemNos);
}